API REFERENCE
Get Album
On this page
/api/spotify/albumGet Spotify catalog information for a single album.
Authentication
See the authentication guide for API key and account access requirements.
Request
curl --request GET \
--url 'https://api.recoupable.dev/api/spotify/album?id=YOUR_ID' \
--header 'x-api-key: YOUR_API_KEY'Replace the YOUR_ placeholders with your values. Required query parameters are included; optional parameters are listed below.
Parameters
Query parameters
idstringrequiredThe Spotify ID of the album
marketstringAn ISO 3166-1 alpha-2 country code. If provided, only content available in that market is returned
Responses
200Album retrieved successfully+
application/json
album_typestring · enumThe type of the album
Values: "album", "single", "compilation"
total_tracksintegerThe number of tracks in the album
available_marketsarray<string>Markets in which the album is available
Item properties for available_markets
string
external_urlsobjectProperties for external_urls
spotifystringThe Spotify URL for the object
hrefstringA link to the Web API endpoint providing full details
idstringThe Spotify ID for the album
imagesarray<SpotifyImage>The cover art for the album in various sizes
Item properties for images
urlstringThe source URL of the image
heightintegernullableThe image height in pixels
widthintegernullableThe image width in pixels
namestringThe name of the album
release_datestringThe date the album was first released
release_date_precisionstring · enumThe precision with which release_date value is known
Values: "year", "month", "day"
restrictionsobjectIncluded when a content restriction is applied
Properties for restrictions
reasonstringtypestring · enumThe object type, always 'album'
Values: "album"
uristringThe Spotify URI for the album
artistsarray<SpotifySimplifiedArtist>The artists of the album
Item properties for artists
external_urlsobjectProperties for external_urls
spotifystringThe Spotify URL for the object
hrefstringA link to the Web API endpoint providing full details
idstringThe Spotify ID for the artist
namestringThe name of the artist
typestring · enumThe object type, always 'artist'
Values: "artist"
uristringThe Spotify URI for the artist
tracksobjectThe tracks of the album
Properties for tracks
hrefstringA link to the Web API endpoint
limitintegerThe maximum number of items in the response
nextstringnullableURL to the next page of items
offsetintegerThe offset of the items returned
previousstringnullableURL to the previous page
totalintegerTotal number of items available
itemsarray<SpotifySimplifiedTrack>Array of simplified track objects
Item properties for items
artistsarray<SpotifySimplifiedArtist>The artists who performed the track
Item properties for artists
external_urlsobjectProperties for external_urls
spotifystringThe Spotify URL for the object
hrefstringA link to the Web API endpoint providing full details
idstringThe Spotify ID for the artist
namestringThe name of the artist
typestring · enumThe object type, always 'artist'
Values: "artist"
uristringThe Spotify URI for the artist
available_marketsarray<string>Markets in which the track is available
Item properties for available_markets
string
disc_numberintegerDisc number the track is on
duration_msintegerTrack length in milliseconds
explicitbooleanWhether the track has explicit lyrics
external_urlsobjectProperties for external_urls
spotifystringThe Spotify URL for the object
hrefstringLink to the Web API endpoint
idstringSpotify ID for the track
is_playablebooleanIf true, the track is playable
linked_fromobjectTrack relinking info
restrictionsobjectProperties for restrictions
reasonstringnamestringTrack name
preview_urlstringnullableURL to a 30 second preview
track_numberintegerTrack number on the album
typestring · enumValues: "track"
uristringSpotify URI for the track
is_localbooleanWhether from a local file
copyrightsarray<SpotifyCopyright>Copyright statements of the album
Item properties for copyrights
textstringThe copyright text
typestringThe type of copyright
external_idsobjectKnown external IDs for the album
Properties for external_ids
isrcstringeanstringupcstringgenresarray<string>Deprecated. Always empty.
Item properties for genres
string
labelstringThe label associated with the album
popularityintegerPopularity of the album (0-100)
400Bad request - missing required parameters+
application/json
errorobjectError details
Properties for error
statusintegerHTTP status code
messagestringError message
Full specification
Download the OpenAPI file for complete schemas, constraints, and examples.
Download social.jsonView operation source
{
"description": "Get Spotify catalog information for a single album.",
"parameters": [
{
"name": "id",
"in": "query",
"description": "The Spotify ID of the album",
"required": true,
"schema": {
"type": "string"
}
},
{
"name": "market",
"in": "query",
"description": "An ISO 3166-1 alpha-2 country code. If provided, only content available in that market is returned",
"required": false,
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"description": "Album retrieved successfully",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SpotifyAlbum"
}
}
}
},
"400": {
"description": "Bad request - missing required parameters",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SpotifyErrorResponse"
}
}
}
}
}
}